Create a legacy pricing-table session (internal) Deprecated

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
POST /payments/customer-session

Legacy subscription model, replaced by POST /billing/setup-session. Creates a Stripe customer session for the pricing table, creating the organization's Stripe customer first when needed, and returns its client secret and expiry. Requires an org admin, owner or billing role; returns 409 when the organization is billed per case and 400 when it already has an active subscription.

Headers

  • organization string Required

    id of the selected (active) organization

Responses

  • 201 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • clientSecret string Required
      • createdAt string(date-time) Required
      • expiresAt string(date-time) Required
    • statusCode number Required
    • timestamp string(date-time) Required
POST /payments/customer-session
curl \
 --request POST 'http://api.example.com/payments/customer-session' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "organization: string"
Response examples (201)
{
  "data": {
    "clientSecret": "cuss_secret_Example",
    "createdAt": "2026-01-15T10:15:00.000Z",
    "expiresAt": "2026-01-15T10:45:00.000Z"
  },
  "statusCode": 201,
  "timestamp": "2026-01-15T10:15:00.000Z"
}